"""Constants."""

CONFIG_DIR = ".slices"
SETTINGS_FILENAME = "settings.toml"
AUTH_FILENAME = "auth.json"
AUTH_FILE_VERSION = "0.1"

JWT_SUPPORTED_ALGORITHMS = ["ES256", "ES384"]

SLICES_CENTRAL_CONFIG_CACHE_FILENAME = "slices-central-config.json.cache"
SLICES_BI_CONFIG_CACHE_FILENAME = "slice-bi-config.json.cache"
DEFAULT_SLICES_CENTRAL_CONFIG_URL = "https://portal.slices-ri.eu/config.json"
DEFAULT_SLICES_BI_CONFIG_URL = "https://bi-orchestrator.slices-be.eu/config.json"
SLICES_CENTRAL_CONFIG_CACHE_TIMEOUT_MINUTES = 24 * 60
SLICES_BI_CONFIG_CACHE_TIMEOUT_MINUTES = 24 * 60
